configure script for Solaris.
authordrepper <drepper>
Thu, 28 Jan 1999 17:34:45 +0000 (17:34 +0000)
committerdrepper <drepper>
Thu, 28 Jan 1999 17:34:45 +0000 (17:34 +0000)
sysdeps/unix/sysv/sysv4/solaris2/configure [new file with mode: 0755]
sysdeps/unix/sysv/sysv4/solaris2/configure.in [new file with mode: 0644]

diff --git a/sysdeps/unix/sysv/sysv4/solaris2/configure b/sysdeps/unix/sysv/sysv4/solaris2/configure
new file mode 100755 (executable)
index 0000000..9dc9768
--- /dev/null
@@ -0,0 +1,31 @@
+ # Local configure fragment for sysdeps/unix/sysv/sysv4/solaris2
+
+# Concensus on stdio is that it's broken.
+test $stdio = default && stdio=libio
+
+# Crypt is your friend.
+case $add_ons in
+  *crypt*)
+    message=
+    ;;
+  *)
+    message="\
+*** WARNING:
+*** Are you sure you do not want to use the \`crypt' add-on?"
+    ;;
+esac
+
+if test "$message"; then
+  if test $enable_sanity = yes; then
+    echo "\
+*** You should not compile the GNU libc without the \`crypt' add-on.
+*** Not using them risks to be incompatible with the libraries of
+*** other systems.  Consider getting the add-on and restart the
+*** configuration.
+*** If you reall mean to avoid this add-on run configure again, now
+*** using the extra parameter \`--disable-sanity-checks'."
+    exit 1
+  else
+    echo "$message"
+  fi
+fi
diff --git a/sysdeps/unix/sysv/sysv4/solaris2/configure.in b/sysdeps/unix/sysv/sysv4/solaris2/configure.in
new file mode 100644 (file)
index 0000000..1c02fbb
--- /dev/null
@@ -0,0 +1,33 @@
+sinclude(./aclocal.m4)dnl Autoconf lossage
+GLIBC_PROVIDES dnl See aclocal.m4 in the top level source directory.
+# Local configure fragment for sysdeps/unix/sysv/sysv4/solaris2
+
+# Concensus on stdio is that it's broken.
+test $stdio = default && stdio=libio
+
+# Crypt is your friend.
+case $add_ons in
+  *crypt*)
+    message=
+    ;;
+  *)
+    message="\
+*** WARNING:
+*** Are you sure you do not want to use the \`crypt' add-on?"
+    ;;
+esac
+
+if test "$message"; then
+  if test $enable_sanity = yes; then
+    echo "\
+*** You should not compile the GNU libc without the \`crypt' add-on.
+*** Not using them risks to be incompatible with the libraries of
+*** other systems.  Consider getting the add-on and restart the
+*** configuration.
+*** If you reall mean to avoid this add-on run configure again, now
+*** using the extra parameter \`--disable-sanity-checks'."
+    exit 1
+  else
+    echo "$message"
+  fi
+fi